Page MenuHomePhabricator

Deploy structured version of API that supports related_articles
Closed, ResolvedPublic

Description

If the plan below works for the Language team (@santhosh), then I'll plan on doing this work mid-day (UTC+1) 23 January.

Steps:

  1. Switch DNS to point at new-deploy-test
  2. Check with Language team to make sure it works
    • legacy api will still be in place
  3. Destroy legacy instance due to low resources in labs project
  4. Build new instance and deploy
    • should take no more than an hour, probably closer to 20 min
  5. Switch DNS to point at new instance
  6. Verify everything is working

After, the Language team can switch over to the new API at their convenience.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2017, 1:33 PM
schana triaged this task as High priority.Jan 20 2017, 1:33 PM
schana moved this task from Backlog to Next up on the Recommendation-API board.
leila added a comment.Jan 20 2017, 5:32 PM

@santhosh will you be doing the split for how much to request from which API (old vs. new) on your end?

@schana for context: we'd like to do A/B testing on this change. So group A users in CX will continue receiving recommendations from the old API and group B from the new API. We will monitor activity for some time to see if we can detect significant change (in specific measures).

@leila The A/B test won't need to go against the old API, rather just alternate between sending the search parameter as either morelike or related_articles when making a request. Although, for the translation recommendations, if the related_articles query doesn't return any results, it falls back to morelike. This is the way it's designed right now, but I think that logic doesn't belong in the API as it isn't explicitly what was requested - that kind of logic should live in the consumers IMO.

leila added a comment.Jan 20 2017, 5:54 PM

@schana I see. I get it now. thanks.

@santhosh will you be doing the split for how much to request from which API (old vs. new) on your end?

Yes, we will pick one of ['morelike', 'related_articles'] in random and do fetch. Once the user choose a suggestion, the alogirthm that fetched this suggestion will be logged in eventlogging. To be specific, these suggestions can be identified from ContentTranslationCTA_16017678 table with event_cta as suggestions-type-5-morelike or suggestions-type-5-related_articles

Follow T155657: Update config for new article recommendation API to see our progress in switching to new API

leila added a comment.Jan 25 2017, 4:59 PM

sounds good, @santhosh. Thanks for confirming. :)

schana closed this task as Resolved.Jan 27 2017, 5:16 PM